#======================= Global Settings ====================================
[global]
	workgroup = WORKGROUP
	server string = A1M Shares
	netbios name = A1M
	security = user
#	username map = /etc/samba/smbusers
	map to guest = bad user
	guest account = nobody
	dns proxy = no
#======================= Share Definitions ===================================
[12Tb]
	public = yes
	path = /12Tb
	comment = 12Tb Media Drive
	create mode = 0777
	writeable = yes
	browsable = yes


################ NEW VERSION GLEANED FROM WD NAS SAMBA ############

#======================= Global Settings ====================================
[global]
	workgroup = WORKGROUP
	server string = TEST Shares
	netbios name = TEST Server
	security = user
#	username map = /etc/samba/smbusers
	map to guest = bad user
	guest account = nobody
	dns proxy = no
	browseable = yes
#======================= Share Definitions ===================================
[500Gb]
	public = yes
	path = /500Gb
	comment = 500Gb Media Drive
	create mode = 777
	writeable = yes
	browsable = yes
	available = yes
	oplocks = yes
	map archive = no
	guest ok = yes

################ Creating a Basic guest only smb.conf File ############

The following is a minimal configuration for a Samba standalone server that only allows guest access:

[global]
        map to guest = Bad User
        log file = /var/log/samba/%m
        log level = 1
        server role = standalone server

[guest]
        # This share allows anonymous (guest) access
        # without authentication!
        path = /srv/samba/guest/
        read only = no
        guest ok = yes
        guest only = yes


